




<?php
session_start();
include '../../assets/constant/config.php';

try {
    $conn = new PDO("mysql:host=$servername;dbname=$dbname", $username, $password);
    $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);









//insert calender


if (isset($_POST['submit2'])) {


        $stmt = $conn->prepare("INSERT INTO `calender`(`cname`,`color`) VALUES (?,?)");

        $stmt->execute([
           
            htmlspecialchars($_POST['cname'], ENT_QUOTES, 'UTF-8'),
            htmlspecialchars($_POST['color'], ENT_QUOTES, 'UTF-8'),
        ]);

        $_SESSION['success'] = "success";

        header("location:../manage_calender.php");
    }

    //update calender
 if (isset($_POST['update2'])) {

 $stmt = $conn->prepare("UPDATE `calender` SET `cname`=?,`color`=? WHERE id=? ");
                  $stmt->execute([
            htmlspecialchars($_POST['cname'], ENT_QUOTES, 'UTF-8'),
            htmlspecialchars($_POST['color'], ENT_QUOTES, 'UTF-8'),
            htmlspecialchars($_POST['id'], ENT_QUOTES, 'UTF-8')
        ]);
    
        $_SESSION['update'] = "update";
        header("location:../manage_calender.php");
    }



// delete calender..

    if (isset($_POST['del_id'])) {

        $stmt = $conn->prepare("UPDATE `calender` SET delete_status='1' where id=? ");

        $stmt->execute([htmlspecialchars($_POST['del_id'], ENT_QUOTES, 'UTF-8')]);

        $_SESSION['delete'] = "delete";

        header("location:../manage_calender.php");
    }
} catch (PDOException $e) {
    echo "Connection failed: " . $e->getMessage();
}